Package com.enonic.xp.content

## Class DuplicateContentParams.Builder

- java.lang.Object
- - com.enonic.xp.content.DuplicateContentParams.Builder

- Enclosing class:
    DuplicateContentParams

      public static final class DuplicateContentParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DuplicateContentParams` | `build()` |
    `DuplicateContentParams.Builder` | `contentId​(ContentId contentId)` |
    `DuplicateContentParams.Builder` | `creator​(PrincipalKey creator)` | Deprecated.
    `DuplicateContentParams.Builder` | `duplicateContentListener​(DuplicateContentListener duplicateContentListener)` |
    `DuplicateContentParams.Builder` | `includeChildren​(Boolean includeChildren)` |
    `DuplicateContentParams.Builder` | `name​(String name)` |
    `DuplicateContentParams.Builder` | `parent​(ContentPath parent)` |
    `DuplicateContentParams.Builder` | `variant​(boolean variant)` |
    `DuplicateContentParams.Builder` | `workflowInfo​(WorkflowInfo workflowInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contentId

          public DuplicateContentParams.Builder contentId​(ContentId contentId)

    - #### creator

          @Deprecated
          public DuplicateContentParams.Builder creator​(PrincipalKey creator)

      Deprecated.

    - #### workflowInfo

          public DuplicateContentParams.Builder workflowInfo​(WorkflowInfo workflowInfo)

    - #### duplicateContentListener

          public DuplicateContentParams.Builder duplicateContentListener​(DuplicateContentListener duplicateContentListener)

    - #### includeChildren

          public DuplicateContentParams.Builder includeChildren​(Boolean includeChildren)

    - #### variant

          public DuplicateContentParams.Builder variant​(boolean variant)

    - #### name

          public DuplicateContentParams.Builder name​(String name)

    - #### parent

          public DuplicateContentParams.Builder parent​(ContentPath parent)

    - #### build

          public DuplicateContentParams build()